@import url("https://fonts.googleapis.com/css2?family=Poppins:wght@300&display=swap");
@media (max-width: 577px) {
  * {
    margin: 0;
    padding: 0;
    scroll-behavior: smooth;
    font-family: "Poppins", sans-serif;
  }

  body {
    background-color: rgb(16, 20, 31);
    font-family: "Poppins", sans-serif;
    font-weight: 800;
    margin: 0rem;
    width: 20%;
  }
  .row {
    background-color: rgb(16, 20, 31);
  }
  .title-trend {
    text-decoration: none;
    color: rgb(255, 255, 255) !important;
  }
  .rec-title {
    text-decoration: none;
    color: rgb(255, 255, 255) !important;
  }

  .tie {
    display: flex;
    justify-content: space-around;
    align-items: center;
  }
  .icon1 {
    display: flex;
    justify-content: left;
    align-items: center;
    padding: 0.6rem;
  }
  .search-icon {
    display: flex;
    margin-left: 2rem;
    flex-direction: column;
    align-items: center;
    width: 30px;
    height: 30px;
  }

  .text-box {
    width: 240px;
    border: none;
    outline: none;
    color: rgb(249, 246, 246);
    background-color: transparent;
    font-size: 0.98rem;
    border-radius: 4rem;
    padding: 8px 24px;
  }
  .text-box:focus {
    outline: none;
    background-color: rgba(139, 139, 183, 0.089);
  }

  main {
    display: flex;
    flex-wrap: wrap;
    justify-content: space-around;
  }
  /* .col-sm-1 {
  display: flex;
} */
  .movie img {
    width: 50vh !important;
  }
  .movie {
    margin: 0.3rem;
    border-radius: 2rem;
    box-shadow: 0.2rem 0.2rem 0.3rem rgb(7 8 16 / 32%);
    /* width: min-content; */
    /* background-color: rgb(11 19 39 / 82%); */
    position: relative;
    overflow: hidden;
    /* display: inline-grid; */
    align-items: center;
    justify-content: center;
  }
  .movie-info {
    display: flex;
    color: white;
    align-items: center;
    justify-content: center;
    /* padding: 0.5rem 1rem 1rem; */
    letter-spacing: 0.1rem;
  }
  .movie-info span {
    /* background-color: rgb(220, 218, 218); */
    padding: 0.25rem 0.5rem;
    border-radius: 20px;
    /* font-weight: bold; */
  }
  .movie-info span.green {
    color: rgb(243 220 220);
  }
  .movie-info span.orange {
    color: rgb(0, 0, 0);
  }
  .movie-info span.yellow {
    color: rgb(0, 0, 0);
  }
  .overview {
    position: absolute;
    left: 0;
    right: 0;
    bottom: 0;
    background-color: rgba(255, 255, 255, 0.692);
    padding: 2rem;
    max-height: 100%;
    transform: translateY(103%);
    transition: transform 1s ease-in-out;
  }
  .movie:hover .overview {
    transform: translateY(0);
  }

  .title-con {
    padding: 0.2rem;
    display: flex;
    align-items: center;
    justify-content: flex-start;
  }
  .user-dp {
    width: 30px;
    display: flex;
    border-radius: 60px;
    object-fit: cover;
    object-position: center;
    justify-content: space-around;
    align-items: center;
  }

  .leftnav {
    border-radius: 20px;
    justify-content: center;
    align-items: center;
  }
  .left-nav-top {
    display: flex;
    flex-direction: column;
  }
  .left-nav-top .leftnavbar {
    background-color: rgba(105, 114, 138, 0.135);
    border-radius: 30px;
  }
  .col-sm-1 {
    margin: 6%;
  }

  .leftnavbar {
    margin: 0%;
    display: flex;
    flex-direction: row;
    justify-content: space-around;
    padding-left: 65px;

    /* padding: 3px 3px 50px 12px; */
  }
  .navbar-links .bx {
    font-size: 30px;
    color: rgb(255, 255, 255);
    right: 10%;
    margin: 0%;
  }
  .navbar-links .bx:hover {
    color: red;
  }
}
@media (min-width: 577px) {
  * {
    margin: 0;
    padding: 0;
    scroll-behavior: smooth;
    font-family: "Poppins", sans-serif;
  }

  body {
    background-color: rgb(16, 20, 31);
    font-family: "Poppins", sans-serif;
    font-weight: 800;
    margin: 0.7rem;
    width: 95%;
    height: 100%;
  }
  .row {
    background-color: rgb(16, 20, 31);
  }
  .title-trend {
    text-decoration: none;
    color: rgb(255, 255, 255) !important;
  }
  .rec-title {
    text-decoration: none;
    color: rgb(255, 255, 255) !important;
  }
  a:hover {
    color: red;
  }
  .tie {
    display: flex;
    justify-content: space-around;
    align-items: center;
  }
  .icon1 {
    display: flex;
    justify-content: left;
    align-items: center;
    padding: 0.6rem;
  }
  .search-icon {
    display: flex;
    flex-direction: column;
    align-items: center;
    width: 30px;
    height: 30px;
  }

  .text-box {
    width: 100%;
    border: none;
    outline: none;
    color: rgb(249, 246, 246);
    background-color: transparent;
    font-size: 1rem;
    text-transform: uppercase;
    border-radius: 1rem;
    padding: 9px 0;
  }
  .text-box:focus {
    outline: none;
    background-color: rgba(139, 139, 183, 0.089);
  }

  main {
    display: flex;
    flex-wrap: wrap;
    justify-content: space-around;
  }
  /* .col-sm-1 {
display: flex;
} */
  .movie img {
    width: 50vh !important;
  }
  .movie {
    margin: 0.3rem;
    border-radius: 2rem;
    box-shadow: 0.2rem 0.2rem 0.3rem rgb(7 8 16 / 32%);
    width: min-content;
    background-color: rgb(11 19 39 / 82%);
    position: relative;
    overflow: hidden;
    display: inline-grid;
    align-items: center;
    justify-content: space-evenly;
    align-content: stretch;
    justify-items: center;
    width: 200px;
    height: 250px;
  }
  .movie-info {
    display: flex;
    color: white;
    /* align-items: center; */
    justify-content: center;
    /* padding: 0.5rem 1rem 1rem; */
    letter-spacing: 0.1rem;
  }
  .movie-info span {
    /* background-color: rgb(220, 218, 218); */
    padding: 0.25rem 0.5rem;
    border-radius: 20px;
    /* font-weight: bold; */
  }
  .movie-info span.green {
    color: rgb(243 220 220);
  }
  .movie-info span.orange {
    color: rgb(0, 0, 0);
  }
  .movie-info span.yellow {
    color: rgb(0, 0, 0);
  }
  .overview {
    position: absolute;
    left: 0;
    right: 0;
    bottom: 0;
    background-color: rgba(255, 255, 255, 0.692);
    padding: 2rem;
    max-height: 100%;
    transform: translateY(103%);
    transition: transform 1s ease-in-out;
  }
  .movie:hover .overview {
    transform: translateY(0);
  }

  .title-con {
    padding: 0.2rem;
    display: flex;
    align-items: center;
    justify-content: flex-start;
  }
  .user-dp {
    width: 40px;
    border-radius: 60px;
    object-fit: cover;
    object-position: center;
    justify-content: center;
    align-items: center;
    margin-top: 5rem;
  }
  .navbar-links .act {
    margin-top: 2rem;
    margin-bottom: 38px;
  }
  .leftnav {
    border-radius: 20px;
    justify-content: center;
    align-items: center;
    margin-right: 50px;
  }

  .left-nav-top {
    display: flex;
    flex-direction: column;
  }
  .left-nav-top .leftnavbar {
    background-color: rgba(105, 114, 138, 0.135);
    border-radius: 30px;
  }

  .leftnavbar {
    display: flex;
    flex-direction: column;
    row-gap: 2.1rem;
    justify-content: center;
    align-items: center;
    padding: 3px 3px 50px 12px;
  }
  .navbar-links .bx {
    font-size: 37.5px;
    color: rgb(255, 255, 255);
    right: 10%;
  }
  .navbar-links .bx:hover {
    color: red;
  }
  .bxs-film {
    margin-top: 17px;
    margin-top: 17px;
  }
}
